## org.gnu.gtk
Class ToolTips

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.GtkObject
              org.gnu.gtk.ToolTips

public class ToolTips
extends GtkObject

ToolTips are the messages that appear next to a widget when the mouse pointer is held over it for a short period of time.

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`ToolTips()` Construct a new ToolTips object.
`ToolTips(Handle handle)`

Method Summary
`void` `disable()` Disables the ToolTips.
`void` `enable()` Enables the ToolTips.
`static ToolTipsData` `getData(Widget widget)` Retrieve the ToolTipsData associated with the provided widget
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`protected static Handle` `gtk_tooltips_data_get(Handle widget)`
`protected static void` `gtk_tooltips_disable(Handle tooltips)`
`protected static void` `gtk_tooltips_enable(Handle tooltips)`
`protected static void` `gtk_tooltips_force_window(Handle tooltips)`
`protected static int` `gtk_tooltips_get_type()` BEGINNING OF JNI CODE
`protected static Handle` `gtk_tooltips_new()`
`protected static void` `gtk_tooltips_set_tip(Handle tooltips, Handle widget, java.lang.String tipText, java.lang.String tipPrivate)`
`void` `setTip(Widget widget, java.lang.String tipText, java.lang.String additionalInfo)` Adds a tooltip to a Widget.

Methods inherited from class org.gnu.gtk.GtkObject
`destroy, getFlags, gtk_object_destroy, gtk_object_get_type, gtk_object_sink, setFlags, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToolTips

    public ToolTips()

  Construct a new ToolTips object.

### ToolTips

    public ToolTips(Handle handle)

Method Detail

### setTip

    public void setTip(Widget widget,
                       java.lang.String tipText,
                       java.lang.String additionalInfo)

  Adds a tooltip to a Widget.

  Parameters:
    `widget` - The Widget to add to tooltips.
    `tipText` - The text to display for the tooltip.
    `additionalInfo` - Additional information that might be useful to the user if they get stuck.

### enable

    public void enable()

  Enables the ToolTips.

### disable

    public void disable()

  Disables the ToolTips.

### getData

    public static ToolTipsData getData(Widget widget)

  Retrieve the ToolTipsData associated with the provided widget

  Parameters:
    `widget` -

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### gtk_tooltips_get_type

    protected static final int gtk_tooltips_get_type()

  BEGINNING OF JNI CODE

### gtk_tooltips_new

    protected static final Handle gtk_tooltips_new()

### gtk_tooltips_enable

    protected static final void gtk_tooltips_enable(Handle tooltips)

### gtk_tooltips_disable

    protected static final void gtk_tooltips_disable(Handle tooltips)

### gtk_tooltips_set_tip

    protected static final void gtk_tooltips_set_tip(Handle tooltips,
                                                     Handle widget,
                                                     java.lang.String tipText,
                                                     java.lang.String tipPrivate)

### gtk_tooltips_force_window

    protected static final void gtk_tooltips_force_window(Handle tooltips)

### gtk_tooltips_data_get

    protected static final Handle gtk_tooltips_data_get(Handle widget)